Summary: Network Configuration Tool
Name: netcfg
Version: 2.19
Release: 3
Copyright: GPL
Group: Utilities/System
Source: netcfg-%{PACKAGE_VERSION}.tar.gz
Requires: pythonlib >= 1.20, python, tkinter, initscripts >= 3.24
BuildArchitectures: noarch
BuildRoot: /tmp/netcfg-root

%description
Red Hat Linux netcfg provides a GUI interface which allows you to
easily administrate your network setup.

%changelog

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

Bugs fixed:
 o wmconfig files take no paths
 0 only root should see wmconfig

* Thu Nov 06 1997 Michael K. Johnson <johnsonm@redhat.com>

Version 2.19 New features:
 o Debugging option for PPP devices
 o Supports active and passive PPP servers with a single configuration.

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>

Bugs fixed:
 o icon name corrected in netcfg.init

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>

Version 2.18 New features:
 o "Clone" devices allow multiple interface configurations
 o IP Forwarding option
 o Menus for modem ports and speeds.

Bugs fixed:
 o physical/logical PPP device name translation
 o ignores backup files better.
 o removes dip scripts when removing slip devices
 o USERCTL fixed for "bus" devices like ethernet
 o Now asks for interface number for PLIP devices

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>

New features:
 o Allows ALL device types to be user-controllable
 o Allows DHCP configuration

* Wed Apr 02 1997 Michael K. Johnson <johnsonm@redhat.com>

New features:
 o Silently disallows senseless lo aliasing
 o Loudly disallows non-functional SLIP aliasing

Bugs fixed:
 o Didn't always create correct alias numbers
 o Hung if a device without an IP was aliased

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>

New features:
 o Supports user-controlled interfaces.
 o Includes PAP support for PPP interfaces.
 o Supports two kinds of timeouts for PPP interfaces.
 o Supports MTU as well as MRU
 o Allows giving arbitrary options to pppd
 o Sanity checking on /etc/hosts

Bugs fixed:
 o Didn't always find the first free interface number
 o Sometimes tried to "add" an existing interface number

%prep
%setup

%build
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make

%install
rm -rf $RPM_BUILD_ROOT
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/rhs/control-panel}
#rm -rf /usr/lib/rhs/netcfg
make install PREFIX=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
cp $RPM_BUILD_ROOT/usr/lib/rhs/control-panel/netcfg.xpm $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cp /etc/X11/wmconfig/netcfg $RPM_BUILD_ROOT/etc/X11/wmconfig/netcfg
chmod 600 $RPM_BUILD_ROOT/etc/X11/wmconfig/netcfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/netcfg
/usr/lib/rhs/netcfg
/usr/lib/rhs/control-panel/netcfg.init
/usr/lib/rhs/control-panel/netcfg.xpm
/usr/share/icons/netcfg.xpm
%config(missingok) /etc/X11/wmconfig/netcfg
